Subject: [CLEANUP] Remove references to $GLOBALS['FILEMOUNTS']
Description

global filemounts are not supported with FAL
anymore as the implementation is done via
file storages directly. All references to the global
FILEMOUNTS is removed as it was an empty
array since 6.0.

It is encouraged to use the $BE_USER functions
directly in the future, and used throughout FAL.

Next step (but not part of this patch) is to clean
up the functions in BasicFileUtility that make use
of the filemounts.

Related issues:
related to Core - Task # 56681: Unit tests bootstrap simplification Resolved 2014-03-09

Associated revisions
Revision 990e4bb2 - 2014-03-07 21:00 - Benjamin Mack

[CLEANUP] Remove references to $GLOBALS['FILEMOUNTS']

Global filemounts are not supported with FAL anymore
as the implementation is done via file storages directly.
All references to the global FILEMOUNTS is removed as
it was an empty array since 6.0.

Next step (but not part of this patch) is to clean up the
functions in BasicFileUtility that make use of the filemounts.

Releases: 6.2
Resolves: #55547
Change-Id: I07e08afe54c174d1c3a67c41645819e5831fd1e3
Reviewed-on: https://review.typo3.org/27227
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Revision 59b76a52 - 2014-03-09 14:34 - Christian Kuhn

[TASK] Reduce unit test bootstrap

With the removal of $GLOBALS['FILEMOUNTS'] the unit test no longer
depend on initialization of backend user mounts. Remove this
bootstrap line.

Change-Id: Ie9860dd7b15a4baff330c8e3cad16d3ae3092e75
Resolves: #56681
Related: #55547
Related: #51436
Releases: 6.2
Reviewed-on: https://review.typo3.org/28190
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-02-01 12:19 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27227

#2 - 2014-02-25 10:57 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27227

#3 - 2014-02-25 13:46 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27227

#4 - 2014-03-07 15:20 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27227

#5 - 2014-03-07 17:13 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27227
#6 - 2014-03-07 21:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:990e4bb2826a106d8bd0771c94bdf51eb3724894.
